unit SyntaxUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons,
  CE_Unit;

type
  TSyntaxForm = class(TForm)
    HelpBtn: TBitBtn;
    CloseBtn: TBitBtn;
    GroupBox2: TGroupBox;
    GroupNumEdit: TEdit;
    ScrollBar1: TScrollBar;
    NextBtn: TBitBtn;
    PreBtn: TBitBtn;
    KeyWordsBox: TGroupBox;
    KeyWordsMemo: TMemo;
    GroupBox3: TGroupBox;
    ExtEdit: TEdit;
    GroupBox4: TGroupBox;
    TextMemo: TMemo;
    GroupBox5: TGroupBox;
    NewBtn: TBitBtn;
    DelBtn: TBitBtn;
    SaveBtn: TBitBtn;
    ReloadBtn: TBitBtn;
    procedure CloseBtnClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SyntaxForm: TSyntaxForm;

implementation

{$R *.DFM}



procedure TSyntaxForm.CloseBtnClick(Sender: TObject);
begin
  Close;
end;

procedure TSyntaxForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = VK_F1 then HelpBtn.Click;
end;





procedure TSyntaxForm.FormShow(Sender: TObject);
begin
  KeyWordsMemo.SetFocus;
end;


end.
